Bug 752692 - [Except ja_JP LANG] RHSM CLI_ usage --help message_ strings 'options, MODULENAME' are still unlocalized.
[Except ja_JP LANG] RHSM CLI_ usage --help message_ strings 'options, MODULEN...
Status: CLOSED DUPLICATE of bug 756156
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.2
Unspecified Linux
unspecified Severity medium
: beta
: 6.3
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n, Translation
Depends On:
Blocks: 738066 756082
  Show dependency treegraph
 
Reported: 2011-11-10 01:35 EST by Lijun Li
Modified: 2012-03-06 10:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 10:42:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[zh_CN] RHSM CLI_ usage --help message_ strings 'options, MODULENAME, error' are unlocalized (57.02 KB, image/png)
2011-11-10 01:38 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2011-11-10 01:35:54 EST
Description of problem:
usage --help message_ strings 'options, MODULENAME, error' are still unlocalized.

Version-Release number of selected component (if applicable):
subscription-manager-0.96.17-1.el6


How reproducible:
100%

Steps to Reproduce:
1.Run subscription-manager CLI in terminal
(Display help)

$ sudo subscription-manager

$ sudo subscription-manager clean --help
.
  
Actual results:
--help message_ strings 'options, MODULENAME, error' are still unlocalized.

Expected results:
All the strings should be localized.

Additional info:
Anyway run $ sudo subscription-manager in ja_JP, those strings 'options, MODULENAME,error' are localized.
Comment 1 Lijun Li 2011-11-10 01:38:40 EST
Created attachment 532731 [details]
[zh_CN] RHSM CLI_ usage --help message_ strings 'options, MODULENAME, error' are unlocalized
Comment 3 Lijun Li 2011-11-11 01:47:54 EST
Strings 'options, MODULENAME' are unlocalized on zh_CN,zh_tw, ko_KR, but they are localized on ja_JP.
Comment 5 Lijun Li 2011-11-16 03:28:34 EST
Strings 'options, MODULENAME' are unlocalized except ja_JP.
Comment 6 John Sefler 2012-01-05 16:45:11 EST
The following test easily demonstrates what languages have/not translated the "options" and "MODULENAME" string...

[root@jsefler-onprem-5server ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$L.UTF-8 subscription-manager --help | grep -- --help"; LANG=$L.UTF-8 subscription-manager  --help | grep -- --help; done;

# LANG=en_US.UTF-8 subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=de_DE.UTF-8 subscription-manager --help | grep -- --help
Verwendung: subscription-manager [options] MODULENAME --help

# LANG=es_ES.UTF-8 subscription-manager --help | grep -- --help
Uso: subscription-manager [options] NOMBREDEMÓDULO --help

# LANG=fr_FR.UTF-8 subscription-manager --help | grep -- --help
Usage : subscription-manager [options] MODULENAME --help

# LANG=it_IT.UTF-8 subscription-manager --help | grep -- --help
Utilizzo: subscription-manager [options] MODULENAME --help

# LANG=ja_JP.UTF-8 subscription-manager --help | grep -- --help
使用方法: subscription-manager [オプション] モジュール名 --help

# LANG=ko_KR.UTF-8 subscription-manager --help | grep -- --help
사용법: subscription-manager [options] MODULENAME --help

# LANG=pt_BR.UTF-8 subscription-manager --help | grep -- --help
Uso: subscription-manager [opções] MODULENAME --help

# LANG=ru_RU.UTF-8 subscription-manager --help | grep -- --help
Формат: subscription-manager [параметры] МОДУЛЬ --help

# LANG=zh_CN.UTF-8 subscription-manager --help | grep -- --help
用法:subscription-manager [options] MODULENAME --help

# LANG=zh_TW.UTF-8 subscription-manager --help | grep -- --help
用法:subscription-manager [options] MODULENAME --help

# LANG=as_IN.UTF-8 subscription-manager --help | grep -- --help
ব্যৱহাৰ: subscription-manager [বিকল্পসমূহ] MODULENAME --help

# LANG=bn_IN.UTF-8 subscription-manager --help | grep -- --help
ব্যবহারপ্রণালী: subscription-manager [options] MODULENAME --help

# LANG=hi_IN.UTF-8 subscription-manager --help | grep -- --help
उपयोक्ता: subscription-manager [options] MODULENAME --help

# LANG=mr_IN.UTF-8 subscription-manager --help | grep -- --help
वापर: subscription-manager [options] MODULENAME --help

# LANG=gu_IN.UTF-8 subscription-manager --help | grep -- --help
વપરાશ: subscription-manager [options] MODULENAME --help

# LANG=kn_IN.UTF-8 subscription-manager --help | grep -- --help
ಬಳಕೆ: subscription-manager [options] MODULENAME --help

# LANG=ml_IN.UTF-8 subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=or_IN.UTF-8 subscription-manager --help | grep -- --help
ବ୍ଯବହାର ବିଧି: subscription-manager [options] MODULENAME --help

# LANG=pa_IN.UTF-8 subscription-manager --help | grep -- --help
ਵਰਤੋਂ: subscription-manager [options] MODULENAME --help

# LANG=ta_IN.UTF-8 subscription-manager --help | grep -- --help
பயன்பாடு: subscription-manager [விருப்பங்கள்] MODULENAME --help

# LANG=te_IN.UTF-8 subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help




The fact that some languages have translated "options" and "MODULENAME" indicates to me that the development team has correctly extracted the msgid and that this bug belongs in the hands of the translators who have not supplied a translated value for the translation of "options" and "MODULENAME".  However we should realize that it may be legitimate that these words do not have a translation in every language.

Note You need to log in before you can comment on or make changes to this bug.